%define name ctdb
%define version 1.13
%define release 1

Summary: Clustered TDB
Name: %name
Version: %version
Release: %release
License: GPLv3
Group: System/Cluster
URL: http://ctdb.samba.org/
Source0: http://ctdb.samba.org/packages/redhat/RHEL5/ctdb-%{version}.tar.xz
BuildRequires: autoconf >= 2.50, automake >= 1.6
Requires(pre): chkconfig mktemp psmisc coreutils sed 
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
ctdb is the clustered database used by samba

%package devel
Summary:        Development files for ctdb
Group:          Development/Other

%description devel
devel files for ctdb

%prep
%setup -q

%build
CC="gcc"

## always run autogen.sh
./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS $EXTRA -O0 -D_GNU_SOURCE" 
%configure2_5x --disable-static

make showflags
%make
perl -pi -e 's/^(Version: *)$/$1 %{version}/g' ctdb.pc

%install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}/%{_initrddir}

%makeinstall_std

install -m644 config/ctdb.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ctdb
install -m755 config/ctdb.init %{buildroot}%{_initrddir}/ctdb

perl -pi -e 's,/var/ctdb,/var/lib/ctdb,g' %{buildroot}/%{_initrddir}/%{name}
mkdir -p %{buildroot}/var/lib/ctdb
touch %{buildroot}/%{_sysconfdir}/ctdb/nodes

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%config(noreplace) %{_sysconfdir}/sysconfig/ctdb
%attr(755,root,root) %{_initrddir}/ctdb
%config(noreplace) %{_sysconfdir}/%{name}/nodes
%doc doc/*html

%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/events.d/
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/*.sh
%{_sbindir}/ctdbd
%{_bindir}/ctdb
%{_bindir}/ltdbtool
%{_bindir}/smnotify
#{_bindir}/ctdb_ipmux
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%{_bindir}/ping_pong
%{_mandir}/man1/ctdb.1.*
%{_mandir}/man1/ltdbtool.1.*
%{_mandir}/man1/ctdbd.1.*
%{_mandir}/man1/onnode.1.*
%{_mandir}/man1/ping_pong.1.*
%dir %attr(750,root,root) /var/lib/ctdb

%files devel
%{_includedir}/*.h
%{_libdir}/pkgconfig/ctdb.pc
%{_libdir}/*.a


%changelog
* Mon Mar 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.13-1
+ Revision: 786951
- version update 1.13

* Fri Jan 13 2012 Buchan Milne <bgmilne@mandriva.org> 1.0.114.4-1
+ Revision: 760589
- New version 1.0.114.4 (tarball created from git tag as there is no source release)

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.114-3
+ Revision: 663431
- mass rebuild

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.114-2mdv2011.0
+ Revision: 603863
- rebuild

* Thu Apr 08 2010 Buchan Milne <bgmilne@mandriva.org> 1.0.114-1mdv2010.1
+ Revision: 532897
- New version 1.0.114

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.77-3mdv2010.1
+ Revision: 522422
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.77-2mdv2010.0
+ Revision: 413280
- rebuild

* Wed Apr 15 2009 Buchan Milne <bgmilne@mandriva.org> 1.0.77-1mdv2009.1
+ Revision: 367578
- New version 1.0.77
- Fix format-not-a-string-literal
- Cleanups

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2008.1
+ Revision: 164088
- require coreutils instead of fileutils

* Thu Feb 07 2008 Erwan Velu <erwan@mandriva.org> 1.0-2mdv2008.1
+ Revision: 163608
- Adding sub package for the devel files
  Removing %%config on initscript
  Fixing Requires

* Thu Feb 07 2008 Erwan Velu <erwan@mandriva.org> 1.0-1mdv2008.1
+ Revision: 163573
- cdtb for mandriva
- import ctdb

